%define build_id3 1
%{?_with_id3: %{expand: %%global build_id3 1}}
%{?_without_id3: %{expand: %%global build_id3 0}}

Summary:	A CD player and ripper/MP3-encoder front-end
Name:		grip
Version:	3.4.0
Release:	%mkrel 1
License:	GPLv2+
Epoch:		1
Group:		Sound/Players
URL:		https://sourceforge.net/projects/grip/
Source0:	http://prdownloads.sourceforge.net/grip/%{name}-%{version}.tar.gz
BuildRequires:	gnomeui2-devel
BuildRequires:	libcurl-devel
BuildRequires:	vte-devel
BuildRequires:	imagemagick
Requires:	vorbis-tools
BuildRequires:	libcdda-devel
%if %build_id3
BuildRequires:	libid3-devel
%endif

%description
A GTK+-based CD player and ripper. It has the ripping
capabilities of cdparanoia built in, but can also use external rippers
(such as cdda2wav). It also provides an automated frontend for various
encoders, letting you take a disc and transform it easily straight
into Vorbis, FLAC or MP3 format (MP3 only with a separate MP3 encoder).
The CDDB protocol is supported for retrieving track information from
disc database servers. Grip works with DigitalDJ to provide a unified
"computerized" version of your music collection.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x \
%if %build_id3
  --enable-id3 \
%else
  --disable-id3 \
%endif
%ifarch alpha ppc
  --disable-cdpar
%endif

%make

%install
%makeinstall
mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 %{name}.1 %{buildroot}%{_mandir}/man1/
mkdir -p %{buildroot}%{_datadir}/apps/solid/actions
install -m 644 %{name}-audiocd.desktop %{buildroot}%{_datadir}/apps/solid/actions/

# icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
ln -s %{_datadir}/pixmaps/gripicon.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -scale 32 pixmaps/gripicon.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16 pixmaps/gripicon.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

%find_lang %{name}

%files -f %{name}.lang
%doc ABOUT-NLS AUTHORS CREDITS README ChangeLog TODO  
%{_bindir}/*
%{_datadir}/gnome/help/%{name}/
%{_datadir}/pixmaps/gripicon.png
%{_datadir}/pixmaps/griptray.png
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/apps/solid/actions/%{name}-audiocd.desktop


%changelog
* Mon Apr 17 2017 solbu <solbu> 1:3.4.0-1.mga6
+ Revision: 1096606
- Reenable id3-devel
- New version: 3.4.0

* Sun Apr 02 2017 solbu <solbu> 1:3.3.5-1.mga6
+ Revision: 1095697
- New version: 3.3.5

* Tue Jan 03 2017 solbu <solbu> 1:3.3.3-1.mga6
+ Revision: 1080018
- New version: 3.3.3

* Sun Jan 01 2017 solbu <solbu> 1:3.3.2-1.mga6
+ Revision: 1078972
- New version: 3.3.2
- New upstream URL
- Drop patches: Merged upstream
- Drop Source2, 3 and 4: Merged upstream

* Tue Feb 09 2016 umeabot <umeabot> 1:3.3.1-26.mga6
+ Revision: 952280
- Mageia 6 Mass Rebuild

* Sat Feb 07 2015 alexl <alexl> 1:3.3.1-25.mga5
+ Revision: 814015
- updated Russian translation
- increased minimal window width

* Wed Jan 07 2015 alexl <alexl> 1:3.3.1-24.mga5
+ Revision: 809003
- updated desktop file

* Fri Jan 02 2015 alexl <alexl> 1:3.3.1-23.mga5
+ Revision: 808176
- don't show warning window about development version

* Tue Nov 25 2014 alexl <alexl> 1:3.3.1-22.mga5
+ Revision: 799298
- deleted unused desktop.patch
- translated desktop file

* Wed Oct 15 2014 umeabot <umeabot> 1:3.3.1-21.mga5
+ Revision: 747941
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:3.3.1-20.mga5
+ Revision: 679942
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:3.3.1-19.mga4
+ Revision: 505233
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1:3.3.1-18.mga3
+ Revision: 352635
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 25 2012 zezinho <zezinho> 1:3.3.1-17.mga3
+ Revision: 321861
- fix rpm group

* Thu Mar 10 2011 ahmad <ahmad> 1:3.3.1-16.mga2
+ Revision: 67857
- imported package grip

